CVE-2002-1044
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:37
NMCO    

[原文]Buffer overflow in Ultrafunk Popcorn 1.20 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long Subject field.


[CNNVD]Ultrafunk Popcorn多个远程拒绝服务攻击漏洞(CNNVD-200210-139)

        
        Ultrafunk Popcorn是一款已经长久没有维护的EMAIL客户端,使用在Microsoft Windows操作系统下。
        Ultrafunk Popcorn在处理邮件时对数据缺少正确处理,导致远程攻击者可以利用这些漏洞进行拒绝服务攻击。
        Ultrafunk Popcorn存在3个漏洞,可以导致远程攻击者对Ultrafunk Popcorn进行拒绝服务攻击:
        1,如果攻击者发送包含\t\t字符的'Subject'字段的邮件,当Ultrafunk Popcorn处理时,可导致程序崩溃。
        2,如果攻击者发送包含超过490个字节字符的'Subject'字段邮件,当Ultrafunk Popcorn处理时,可导致程序崩溃。
        3,当邮件接收到时,对日期(date)字段的管理存在问题,当攻击者发送日期(date)字段中包含超过2037年的值,Ultrafunk Popcorn处理时,可导致程序崩溃。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1044
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1044
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-139
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5212
(VENDOR_ADVISORY)  BID  5212
http://www.iss.net/security_center/static/9547.php
(VENDOR_ADVISORY)  XF  popcorn-mail-dos(9547)
http://archives.neohapsis.com/archives/bugtraq/2002-07/0117.html
(UNKNOWN)  BUGTRAQ  20020711 Popcorn vulnerabilities

- 漏洞信息

Ultrafunk Popcorn多个远程拒绝服务攻击漏洞
高危 其他
2002-10-04 00:00:00 2005-10-20 00:00:00
远程  
        
        Ultrafunk Popcorn是一款已经长久没有维护的EMAIL客户端,使用在Microsoft Windows操作系统下。
        Ultrafunk Popcorn在处理邮件时对数据缺少正确处理,导致远程攻击者可以利用这些漏洞进行拒绝服务攻击。
        Ultrafunk Popcorn存在3个漏洞,可以导致远程攻击者对Ultrafunk Popcorn进行拒绝服务攻击:
        1,如果攻击者发送包含\t\t字符的'Subject'字段的邮件,当Ultrafunk Popcorn处理时,可导致程序崩溃。
        2,如果攻击者发送包含超过490个字节字符的'Subject'字段邮件,当Ultrafunk Popcorn处理时,可导致程序崩溃。
        3,当邮件接收到时,对日期(date)字段的管理存在问题,当攻击者发送日期(date)字段中包含超过2037年的值,Ultrafunk Popcorn处理时,可导致程序崩溃。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        Ultrafunk
        ---------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.ultrafunk.com/

- 漏洞信息

9915
Ultrafunk Popcorn Subject Field Overflow
Remote / Network Access Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in Ultrafunk Popcorn. Popcorn fails to correctly check the length of the value in the subject field of the email resulting in an buffer overflow. With a specially crafted request, an attacker can cause Popcorn to become unresponsive resulting in a loss of availability.

- 时间线

2002-07-11 Unknow
2002-07-11 Unknow

- 解决方案

Upgrade to version 1.24 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站